From 3517442870e149253680fc0e574b272fd1d5c29f Mon Sep 17 00:00:00 2001
From: jullianaa <julliana.coutoalmeida@gmail.com>
Date: Jun 19 2018 17:40:48 +0000
Subject: [PATCH 16/42] Updating variable filter package


---

diff --git a/src/components/package/List.vue b/src/components/package/List.vue
index 3fdbdc5..782f81b 100644
--- a/src/components/package/List.vue
+++ b/src/components/package/List.vue
@@ -71,11 +71,11 @@ export default {
       getterNames.allPackages
     ]),
     formatPackages () {
-      return this.allPackages.map(p => {
-        let previous = this.createPrevious(p)
+      return this.allPackages.map(packageFilter => {
+        let previous = this.createPrevious(packageFilter)
         return {
-          name: p.name,
-          version: p.versions.sort((a, b) => {
+          name: packageFilter.name,
+          version: packageFilter.versions.sort((a, b) => {
             return a.number < b.number
           })[0].number,
           previous: previous,
@@ -89,14 +89,14 @@ export default {
       actionTypes.FETCH_PACKAGES
     ]),
     showPackage (item, index) {
-      let p = this.allPackages.find(singlePackage => singlePackage.name === item.name)
+      let packageFilter = this.allPackages.find(singlePackage => singlePackage.name === item.name)
       this.$router.push({
         name: 'analysis',
         params: {
-          package: p
+          package: packageFilter
         },
         query: {
-          package: p.id
+          package: packageFilter.id
         }
       })
     },
@@ -125,10 +125,10 @@ export default {
     showAlert (successMessage) {
       (successMessage) ? this.successCountDown = this.dismissSecs : this.errorCountDown = this.dismissSecs
     },
-    createPrevious (p) {
+    createPrevious (packageFilter) {
       let previous = '--'
-      if (p.versions.length > 1) {
-        previous = p.versions.sort((a, b) => {
+      if (packageFilter.versions.length > 1) {
+        previous = packageFilter.versions.sort((a, b) => {
           return a.number < b.number
         })[1].number
       }
@@ -161,4 +161,4 @@ export default {
   margin-bottom: 20px;
 }
 
-</style>
+</style>
\ No newline at end of file

